| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ent_params Struct Reference
CMDLINE

entrepot relative parameters More...

`#include <command_line.hpp>`

## Public Member Functions
void | clear ()

## Public Attributes
string | ent_proto
| entrepot protocol
string | ent_login
| entrepot login
secu_string | ent_pass
| entrepot password
string | ent_host
| entrepot hostname
string | ent_port
| entrepot port
U_I | network_retry
| libcurl entrepot network retry time
bool | auth_from_file
| whether ~/.netrc and ~/.ssh files should be considered for credentials

## Detailed Description

entrepot relative parameters

Definition at line 48 of file command_line.hpp.

## Member Function Documentation

## ◆ clear()

void ent_params::clear | ( |  | ) |
| inline

Definition at line 58 of file command_line.hpp.

## Member Data Documentation

## ◆ auth_from_file

bool ent_params::auth_from_file

whether ~/.netrc and ~/.ssh files should be considered for credentials

Definition at line 56 of file command_line.hpp.

## ◆ ent_host

string ent_params::ent_host

entrepot hostname

Definition at line 53 of file command_line.hpp.

## ◆ ent_login

string ent_params::ent_login

entrepot login

Definition at line 51 of file command_line.hpp.

## ◆ ent_pass

secu_string ent_params::ent_pass

entrepot password

Definition at line 52 of file command_line.hpp.

## ◆ ent_port

string ent_params::ent_port

entrepot port

Definition at line 54 of file command_line.hpp.

## ◆ ent_proto

string ent_params::ent_proto

entrepot protocol

Definition at line 50 of file command_line.hpp.

## ◆ network_retry

U_I ent_params::network_retry

libcurl entrepot network retry time

Definition at line 55 of file command_line.hpp.

The documentation for this struct was generated from the following file:

- command_line.hpp